﻿using Microsoft.Data.Sqlite;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EFlib
{
    public class EFChampionContext : DbContext
    {

        /**** Attributs ****/
        public DbSet<EFChampion> Champions { get; set; }

        /**** Méthodes ****/
        public EFChampionContext()
        { }

        public EFChampionContext(DbContextOptions<EFChampionContext> options)
            : base(options)
        { }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (!optionsBuilder.IsConfigured)
            {
                optionsBuilder.UseSqlite($"Data Source=projet.dbloulou.db");
            }
            var connection = new SqliteConnection("DataSource=:memory:");
            connection.Open();
            optionsBuilder.UseSqlite(connection);
        }
        /*
        var options = new DbContextOptionsBuilder<TheDbContext>().UseSqlite($"Data Source=LeNomDe.MaBase.db").Options;
        var context = new TheDbContext(options); //ou une autre classe dérivant de TheDbContext
        await context.Database.EnsureCreatedAsync(); //pour créer la base si elle n'existe pas déjà
        */
    }
}
